Ubuntu

[Jaunty] Cannot connect to a Microsoft Bluetooth Notebook Mouse 5000

Reported by Peng Deng on 2009-03-16
230
This bug affects 24 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Undecided
Cyberfux
Nominated for Jaunty by Slade Winstone
Nominated for Karmic by fimbulvetr

Bug Description

I'm using Ubuntu 9.04 (Jaunty) Development Version and have all packages update to date.

This is a ThinkPad T43 laptop and the bluetooth adapter as listed by "lsusb | grep Bluetooth" is:

    Bus 003 Device 002: ID 0a5c:201e Broadcom Corp. IBM Integrated Bluetooth IV

The mouse is a Microsoft Bluetooth Notebook Mouse 5000.

I use the "Setup a new device ..." option from the bluetooth applet on gnome-panel. I also have to mouse switched into pairing mode. The wizard dialog can detect my bluetooth mouse and it reports successful connecting to the mouse but at this time the mouse is still in pairing mode. (with previous Ubuntu the mouse should've returned to normal mode after pairing). I have to manually switch the mouse off and on to let it be in normal mode.

The Known devices list in Bluetooth Preferences dialog will show the mouse with an "i" icon but the mouse won't work no matter how I adjust the settings there.

I noticed if I use "sudo hcitool cc <address>" then the connect can exist for 1 second or so because "sudo hictool con" will show an output like "Connections: < ACL 00:1D:D8:93:24:28 handle 6 state 1 lm MASTER" but then the connection will drop.

When I manually start and stop the bluetooth adapter using "sudo hciconfig hci0 down/up", the /var/log/syslog will show informaitons like:

Mar 16 15:29:32 berlin bluetoothd[3753]: HCI dev 0 down
Mar 16 15:29:32 berlin bluetoothd[3753]: Adapter /org/bluez/3753/hci0 has been disabled
Mar 16 15:29:32 berlin bluetoothd[3753]: Stopping security manager 0
Mar 16 15:29:35 berlin bluetoothd[3753]: HCI dev 0 up
Mar 16 15:29:35 berlin bluetoothd[3753]: Starting security manager 0
Mar 16 15:29:40 berlin bluetoothd[3753]: Can't write inquiry mode for /org/bluez/3753/hci0: Unknown error 4294967186 (-110)
Mar 16 15:29:40 berlin bluetoothd[3753]: Adapter /org/bluez/3753/hci0 has been enabled
Mar 16 15:29:40 berlin kernel: [13071.930774] hci_cmd_task: hci0 command tx timeout

Following are other outputs using hcitool and hciconfig:

$ hcitool dev
Devices:
 hci0 00:0E:9B:DC:B8:0A

$ hcitool scan
Scanning ...
 00:1D:D8:93:24:28 Microsoft Bluetooth Notebook Mouse 5000

$ sudo hcitool info 00:1D:D8:93:24:28
Requesting information ...
 BD Address: 00:1D:D8:93:24:28
 Device Name: Microsoft Bluetooth Notebook Mouse 5000
 LMP Version: 2.0 (0x3) LMP Subversion: 0x5cb2
 Manufacturer: Infineon Technologies AG (9)
 Features: 0xbc 0x02 0x04 0x38 0x18 0x00 0x00 0x00
  <encryption> <slot offset> <timing accuracy> <role switch>
  <sniff mode> <RSSI> <power control> <enhanced iscan>
  <interlaced iscan> <interlaced pscan> <AFH cap. slave>
  <AFH class. slave>

$ hciconfig
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 UP RUNNING PSCAN
 RX bytes:3013 acl:0 sco:0 events:111 errors:0
 TX bytes:688 acl:0 sco:0 commands:75 errors:0

$ hciconfig hci0 version
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 HCI Ver: 1.2 (0x2) HCI Rev: 0x9 LMP Ver: 1.2 (0x2) LMP Subver: 0x6963
 Manufacturer: Broadcom Corporation (15)

$ hciconfig hci0 revision
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Firmware 9.105 / 99

$ hciconfig hci0 features
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
  <3-slot packets> <5-slot packets> <encryption> <slot offset>
  <timing accuracy> <role switch> <hold mode> <sniff mode>
  <RSSI> <channel quality> <SCO link> <HV2 packets>
  <HV3 packets> <u-law log> <A-law log> <CVSD> <power control>
  <transparent SCO> <enhanced iscan> <interlaced iscan>
  <interlaced pscan> <AFH cap. slave> <AFH cap. master>

$ hciconfig hci0 ptype
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3

$ hciconfig hci0 lm
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Link mode: SLAVE ACCEPT

$ hciconfig hci0 name
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Name: 'berlin-0'

$ hciconfig hci0 class
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Class: 0x0a210c
 Service Classes: Networking, Capturing
 Device Class: Computer, Laptop

$ hciconfig hci0 voice
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Voice setting: 0x0060 (Default Condition)
 Input Coding: Linear
 Input Data Format: 2's complement
 Input Sample Size: 16 bit
 # of bits padding at MSB: 0
 Air Coding Format: CVSD

$ hciconfig hci0 pageparms
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Page interval: 2048 slots (1280.00 ms), window: 18 slots (11.25 ms)

$ hciconfig hci0 pageto
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 Page timeout: 8192 slots (5120.00 ms)

$ hciconfig hci0 afhmode
hci0: Type: USB
 BD Address: 00:0E:9B:DC:B8:0A ACL MTU: 377:10 SCO MTU: 64:8
 AFH mode: Enabled

Luca Corsini (lucac81) wrote :

I installed the netbook remix of jaunty on an acer aspire one
with an external dongle which worked fine on hardy
Bus 002 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

The mouse is a Microsoft Bluetooth Notebook Mouse 5000 which worked fine in hardy too

In syslog I find a Connection refused (111) error after trying to pair iwth the mouse... but gnome-bluetooth reports pairing successful

Using sudo hcitool cc <address>
makes the connection last 1 sec then it gets off

embecka (balaz-ii) wrote :

Yesterday, 27.3., I installed Ubuntu 9.04 Beta. I have the same problem with Microsoft Bluetooth Notebook Mouse 5000. If I want to pair the mouse with my computer, I have to press a small button on bottom of mouse. After that, a led lights green and red, indicating, it is ready to connect. When I use "Setup new device..." option from the bluetooth applet, the wizard finishes successfully. However, the led is still flashing and the mouse is not connected.

Chevron (buddy027+lp) wrote :

Embecka

I can confirm the specific problem your having (same mouse). I had luck with going from windows to ubuntu and moving the mouse then it would connect. That appears to no longer function. If anyone can provide a workaround or a permanent solution that would be amazing.

1 comments hidden view all 110 comments
Cyberfux (sfkraeling) wrote :

Same here:
Ubuntu 9.04 Beta, MS Notebook Mouse 5000, Acer Aspire One, Lutec Micro USB Dongle (lsusb - Broadcomm A-Link BlueUsbA2). Worked great under Ibex

I confirm this problem.
Jaunty beta, same mouse (Microsoft Bluetooth Notebook Mouse 5000 v1.0), Dell Wireless 355 Bluetooth (internal USB).
Never had any problem under Intrepid.

embecka (balaz-ii) wrote :

It is interesting that after reboot from windows vista to ubuntu jaunty, the mouse is working. After another reboot to ubuntu jaunty, it doesn't work.

Tom Wardill (tom-howrandom) wrote :

I have exactly this bug, using the Microsoft Wireless Notebook Presenter Mouse 8000. HP NC6400 laptop, usb bluetooth.

I've just tried with a Logitech V470 Cordless Laser Mouse for Notebooks, it works out of the box without any problem. It thus seems this bug only affects Microsoft mice, which makes it even stranger.

abais (fancy3d) wrote :

I had the same problem with Jaunty Beta (Microsoft notebook 5000 for my Netbook Samsung NC-10)
I've solved the problem :

1) install the bluez-compat package with terminal

sudo apt-get install bluez-compat

2)Pair the mouse with the bluetooth manager. The manager will say that the pairing is "successfull"
Although the mouse won't worked... this step has to be down...

3) In the terminal, type :

sudo hidd --search

You should see something like

Searching ...
Connecting to device 00:XX:XX:XX:XX:XX (your mouse MAC)

Done. Your mouse should be working now.

Luca Corsini (lucac81) wrote :

Uhmm from bluez-compat description

This package provides the legacy binaries that were reminiscent of the BlueZ 3.x pairing methods. These binaries are not supported, and will go away again in the future. The provided binaries are:

hidd dund pand

So this workaround makes use of old daemons... it seems that the bug is in bluez vers. 4, jaunty ships bluez 4.32,
 because I've tested the mouse on the same netbook running hardy (linux4one flavour) and it works fine, hardy ships bluez 3.26

I need to check if it still works in Intrepid which ships bluez 4.12

Cyberfux (sfkraeling) wrote :

There just was an update in the bluez-package, but it still don't work here...

Changed in bluez:
assignee: nobody → sfkraeling
mihaid8 (mihai-dolha) wrote :

I confirm the problem: Ubuntu 9.04 beta, same mouse, Dell Bluetooth 355 internal usb.

Chevron (buddy027+lp) wrote :

I can confirm that the workaround abais has posted works.

This solved my issue (and it reconnects without prompt)

David Mabe (davemicc) wrote :

I can also confirm that the workaround from abais works with a Microsoft Bluetooth Notebook Mouse 5000 and a Thinkpad T61.

Luca Corsini (lucac81) wrote :

I too confirm that the workaround of loading bluez-compat works...
Microsoft Bluetooth Notebook Mouse 5000

so the problem lies in the hid part of bluez 4.x

Cyberfux (sfkraeling) wrote :

Btw. the workaround works...

Peng Deng (d6g) wrote :

If anyone could confirm that the "hidd --search" method will keep the mouse connected ever after even when you reboot the system. (is it automatically reconnecting?)

Cyberfux (sfkraeling) wrote :

"hidd --search" confirmed ;-)
It automatically reconnects...

mihaid8 (mihai-dolha) wrote :

for me it doesn't automatically reconnect. :(

For me it doesn't reconnect either, even when the mouse is not used
for a while, the connection will be dropped and will not restore.

I added a line "HIDD_ENABLED=1" in the file /etc/default/bluetooth,
but it doesn't seem to have any effect.

Cheers,
P.D.

On Sat, Apr 4, 2009 at 4:36 PM, mihaid8 <email address hidden> wrote:
> for me it doesn't automatically reconnect. :(
>
> --
> [Jaunty] Cannot connect to a bluetooth mouse
> https://bugs.launchpad.net/bugs/343727
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I can't understand why it doesn't work on your computers mihaid8/Peng Deng.

I've entered it like above "sudo hidd --search" ONCE in the terminal.
Since then the mouse reconnect automatically, mostly when the login-screen is there.
Tried it with 2 different USB-dongles - no problem.

mihaid8 (mihai-dolha) wrote :

I don't know either.

I have the same behavior as Peng Deng and it stops working if I don't use it for a while.

What I just noticed is that it works booting in Ubuntu after reboot from Windows XP. I can't explain this though.

I hope we're going to get a update to bluez that fixes this.

Peng Deng (d6g) wrote :

Cyberfux, is your system upgrade from old version of Ubuntu or a fresh installed one? What the configuration files look like? e.g. /etc/default/bluetooth, /etc/bluetooth/main.conf.

I suspect what bluetooth adapter used by me and mihaid8 also matters. And I wonder what program is responsible for the connection/re-connection? Should I have hidd running in a server mode?

Cyberfux (sfkraeling) wrote :

Ok, first: I installed a fresh one, i don't like dist-upgrades ;-)
The dongles used are a Lutec micro and a Lindy standard, so that it can't be "hardware-specific".

Perhaps it's important to mention that i set the computers visibility to permanent - it COULD be that that is the difference.

The configs (i deleted the comments, so that they are shorter):

/etc/default/bluetooth :
BLUETOOTH_ENABLED=1
HID2HCI_ENABLED=1
HID2HCI_UNDO=1

/etc/bluetooth/main.conf :
[General]
Name = %h-%d
Class = 0x000100
DiscoverableTimeout = 0
PairableTimeout = 0
PageTimeout = 8192
DiscoverSchedulerInterval = 0
InitiallyPowered = true
RememberPowered = true
es for this too). Defaults to true.
ReverseServiceDiscovery = true

Peng Deng (d6g) wrote :

Cyberfux, thanks for the advise and configuration details. My configuration files look exactly like yours and I tried to set the visibility to "Always visible" but the connection gets lost again after the mouse is idle for some time.

Please allow me not to agree that you said it's not "hardware-specific" because you've tested on different dongles. I believe, as long as you have not tested it on most, if not all of the bluetooth adapters, you cannot conclude that. Maybe it really is hardware specific and only happened to a few adapters like mine (from Broadcom as shown in the original report).

mihaid8, what bluetooth adapter/dongle are you using?

Cyberfux (sfkraeling) wrote :

FIY:
The Lutec adapter is listed as "Broadcom Corp. A-Link BlueUsbA2 Bluetooth".

mihaid8 (mihai-dolha) wrote :

I have a Dell Bluetooth 355 internal USB.

The interesting thing is that my problem is now fixed without editing anything in the settings. I used the "hidd --search" cmd and it worked but after not using the mouse for a while or rebooting it got disconnected. Then I had to boot in Windows (it worked in Win without having to re-pair the devices) and as I said in my last post after returning in Ubuntu I just worked, even at the login screen. After that I restarted the system several times and the mouse just works and it doesn't get disconnected. It even appears in the Known devices list, which didn't happen after running hidd.

I don't know what to make of this.

Peng Deng (d6g) wrote :
Download full text (6.1 KiB)

I tried to switch to Windows and back. Although the mouse still stays still upon reboot back to Ubuntu, I noticed one thing: the bluetooth preferences dialog will show a "computer" icon indicating connection established when I switched the visibility setting AND move the mouse. However, the icon will disappear in a second or two and the mouse has never moved.

I repeat this process and used hcidump to sniff the bluetooth communication: I saw some interesting output as following:

> HCI Event: Connect Request (0x04) plen 10
< HCI Command: Accept Connection Request (0x01|0x0009) plen 7
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Connect Complete (0x03) plen 11
< HCI Command: Read Remote Supported Features (0x01|0x001b) plen 2
> HCI Event: Command Status (0x0f) plen 4
< HCI Command: Change Connection Packet Type (0x01|0x000f) plen 4
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Read Remote Supported Features (0x0b) plen 11
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
> ACL data: handle 7 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 17 scid 0x0040
< ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 1 status 0
      Connection pending - No futher information available
< ACL data: handle 7 flags 0x02 dlen 10
    L2CAP(s): Info req: type 2
> HCI Event: Connection Packet Type Changed (0x1d) plen 5
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Info rsp: type 2 result 0
      Extended feature mask 0x0000
< ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 0 status 0
      Connection successful
> HCI Event: Remote Name Req Complete (0x07) plen 255
> ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 4
      MTU 48
< ACL data: handle 7 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      MTU 48
< ACL data: handle 7 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 7 flags 0x02 dlen 14
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 0
      Success
> ACL data: handle 7 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 19 scid 0x0041
< ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Connect rsp: dcid 0x0041 scid 0x0041 result 0 status 0
      Connection successful
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 7 flags 0x02 dlen 16
    L2CAP(s): Config req: dcid 0x0041 flags 0x00 clen 4
      MTU 48
< ACL data: handle 7 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0041 flags 0x00 result 0 clen 4
      MTU 48
< ACL data: handle 7 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0041 flags 0x00 clen 0
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 7 flags 0x02 dlen 14
    L2CAP(s): Config rsp: scid 0x0041 flags 0x00 result 0 clen 0
      Success
< ACL data: handle 7 flags 0x02 dlen 7
    L2CAP(d): cid 0x0041 len 3 [...

Read more...

Peng Deng (d6g) on 2009-04-06
Changed in bluez (Ubuntu):
status: New → Confirmed
summary: - [Jaunty] Cannot connect to a bluetooth mouse
+ [Jaunty] Cannot connect to a Microsoft Bluetooth Notebook Mouse 5000
jurgo.boemo (jurgo-boemo) wrote :

actually, I've resolved installing blueman.
It's a good blue tooth manager, and it's also well
-integrated in ubuntu

SM73 (smanthorpe) wrote :

@ Abais

Thanks!! Works perfectly :)

Mad Max (tunsel) wrote :

I confirm abais workaround with fresh installation of Ubuntu Remix 9.04 on Samsung NC10.

Very good.

Thanks.

elektronikciler (husnu) wrote :

microsoft bluetooth notebook mouse was founded in 5000 has shown connections ubuntu9.04 but do not move mouse

Cyberfux (sfkraeling) wrote :

@elektronikciler:
She was founded (?) in 5000 ?
What do you mean?

I THINK that your problem is the same then anyone elses here, have you tried the workaround?

Xarin (xarin) wrote :

I can also confirm this bug.

I have been using my Microsoft Notebook Mouse 5000 on my Dell Inspiron 1525 with integrated internal bluetooth.

This mouse paired fine under 8.10 without being prompted to enter a key. After upgrading to 9.04 the mouse still worked and was listed in the GUI. After deleting the pairing with the mouse and re-adding it, the GUI will state that the pairing was successful (no what what PIN you enter) but the mouse will not move. The documentation for this mouse states that you can use either no key or 0000 to pair.

I can also confirm that the workaround suggested by abais works (Thank You!), though I do have to repeat the process after each reboot.

Xarin (xarin) wrote :

Interesting!

I have a similar config to mihaid8 (Dell Laptop w/ internal bluetooth).

I attempted to pair the mouse again in 9.04 with no success. I then booted back into Windows Vista and my mouse didn't work there either. I deleted the pairing in Vista and re-added with the passkey of 0000, the mouse then worked in Windows. I rebooted back into Ubuntu 9.04 and the mouse works there now too without having to run "hidd --search".

Very strange!

Hi,

I'm running a HP Pavilion TX2522AU
Architecture: amd64
Mouse: MS Bluetooth Notebook Mouse 5000
DistroRelease: Ubuntu 9.04 Beta
Package: bluez

Output of "lsusb | grep Bluetooth":
Bus 006 Device 002: ID 03f0:171d Hewlett-Packard Wireless (Bluetooth + WLAN) Interface [Integrated Module]

I have the same problem where pairing via the Bluetooth Manager (bluetooth-applet) reports pairing successful, but my mouse (MS Bluetooth Mouse 5000) remains in "pairing mode" (light alternating flashing green + red).

I tried the suggestion of Abais to run:
$ sudo hidd --search

What i found is that if this command is run while the mouse is NOT still pairing that it fails with "Searching ...
 No devices in range or visible"

HOWEVER, if the command "sudo hidd --search" is run from the command line immediately after the bluetooth-applet has reported pairing successful but while the mouse is still remaining in "pairing mode" (light alternating flashing green + red), then the hidd search command is successful and the mouse is recognized and pairs correctly!

Many thanks to abais!!

Can this fix somehow be incorporated into Jaunty at this late stage?

Thanks,
Slade.

One last comment:

Previously pairing with the MS Mouse 5000 worked fine in Intrepid.

Slade.

Andreas Bartusch (xelean) wrote :

Hi

The workaround with '$ sudo hidd --search' works but nevertheless, my system still crashes down after aprox. 1/2 hour (estimated time), even after having installed ubuntu 9.04 beta two more times. Without the workaround, my system works stable.
(Thinkpad W500/ Ubuntu 9.04 94 bit version)

OxKing (oxking) wrote :

jepp same mouse an an LG X110 G Netbook.
All fine under Intrepid, now mouse not working.

30 comments hidden view all 110 comments

Also mouse wheel does not work - but this is probably another bug/limitation!

Mihai Olimpiu Cristian wrote:
> I'm using a PS3 - PPC machine with JAUNTY final PPC with a Microsoft
> Notebook 5000 mouse, the only solution is sudo hidd --search. The
> problem with this approach is that exactly like in Ubuntu 8.04 or 8.10,
> the mouse looses connection after a random amount of time so it's not
> really usable (couple of seconds - 40 minutes)!
>
> If I reboot the machine the mouse does not autoreconnect as a user above
> me said, maybe every dongle is treated differently?
>
> I think this bug is pretty important, because it affects a majority of
> laptop users and PS3 users who ussually use bluetooth peripherals. I
> vote for a HIGH on the importance!
>

I agree - issues like this - especially ones that don't get quickly
resolved - really put Ubuntu in a bad light, especially with new or less
experienced users and those coming from Windows, say - where all this
sort of functionality 'just works'.

Who assigns importance to these issues - the package maintainer?

I have the same problem. My mouse Microsoft Bluetooth Notebook Mouse 5000 does not work with my laptop Lenovo 3000 N200 after installing Ubuntu 9.04. I have a questions. Why something was working out of box on 8.10 and does not work on 9.04? I can uderstand that there was problem after migration from bluez 3.xx to 4.xx, but now we are still using bluez 4.xx. Is there something wrong with Ubuntu quality team? Why have you accept to use something that is buggy in stable version? Maybe you should back to version 4.12 from 8.10, which worked great.

David Fraser (davidf) wrote :

I'm getting what seems to be a similar problem in Intrepid, with a Dell BT Travel Mouse. It was working fine until recently, so I wonder if a package update that causes this on Jaunty got applied to Intrepid recently too...

hidd --search gets it reconnected as described above.

John K (jkadlecik) wrote :

David,

I opened a another Bug case similar to my description about 6 posts above this. I provided more detail in the new case because it was an update that caused the issue this time. Here is the link, see if it works for you.

https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/371870

John K

Just want to mention that
sudo hidd --search is a workaround that somewhat works...

What I want to say with that:

The mouse pairs only after first I turn off the mouse, wait 5 seconds (untill the green light comes off) then I press the Discovery button. Mouse works for a maximum of 30 minutes, sometimes less than 1 minute (it's not stable/usable).

Mouse doesn't reconnect after it disconnects or upon reboot, hidd --search returns connection not allowed (someting like that) even if I press the discovery button again. Only way to make it reconnect is to turn mouse OFF completely then start again... Don't need to restart bluetooth service.

I don't think this behavior is worth opening another bug, Bluez-compat is a deprecated package already, but without it the mouse does not connect at all ?!

I'm using a PS3/Jaunty 9.04 final with Microsoft Notebook 5000 mouse. I don't know how/what info to provide you but I'm willing to help if someone is willing to guide me!

gammer (gammer66) wrote :

For me hidd --search immediately after pairing solved the problem AND I EVEN DEINSTALLED bluez-compat afterwards!

Now my system is "clean" and the mouse works as expected.

gammer (gammer66) wrote :

Sorry, forgot to mention Ubuntu 9.04 UNR on Dell mini 9.

tags: added: regression
Felipe Figueiredo (philsf) wrote :

This bug has a known workaround, is a regression and it seems like a configuration bug. Even if the fix includes installing bluez-compat, this looks like a papercut to me.

A proper fix in the bluetooth stack is probably more complicated, but there's certainly a way to revert the regression effect with very little packaging effort.

I also recommend this as a SRU for Jaunty.

Vish (vish) wrote :

Thank you for bringing this bug to our attention. Unfortunately a paper cut should be a small usability issue that affects many people and is quick and easy to fix. I'm afraid this bug can't be addressed as part of this project.

This is a hardware specific issue, Not a papercut.

A paper cut is a minor usability annoyance that an average user would encounter on his/her first day of using a new installation of Ubuntu 9.10.

For further info about papercuts criteria , pls read > https://wiki.ubuntu.com/PaperCut

Don't worry though, This bug has been marked as "invalid" ONLY in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid
Eduard Grebe (eduardgrebe) wrote :

I get this same problem with Jaunty and a MS Notebook Bluetooth Mouse 5000 (which was working fine in intrepid and earlier).

Just want to bring this bug into attention again, as there are people for who the workaround doesn't work or at best it's not a permanent solution!

Somebody that uses the new Karmic ALFA and has a Microsoft mouse: How does it fare on Karmic? The bug is still present? Maybe the bluez package that is packaged with karmic already fixed this and it's a backport away from Jaunty! I'm on a PS3 and I'm really afraid to make the jump on a secondary platform this early in the development cycle!

https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/386224
I found my answer already... maybe in Karmic Alfa 3?!?

John K (jkadlecik) wrote :

Mihai,

Yes the bug is still present on Karmic Alfa. I made a usb drive image
and booted off of it and had the same results. I am using a Asus eee
1000, with a Microsoft Mouse 5000. I did not try the hidd command as
Mario instructed me not to use it. The last post I saw was that this
issue is not what a tech called a "paper cut". The posting to paper cut
was rejected stating it is a hardware issue. This really surprised me
since I had no problems in Intrepid.

I tested Karmic for Mario Limonciello and forwarded the results but
never heard back.

Thanks,
John

Mihai Olimpiu Cristian wrote:
> Just want to bring this bug into attention again, as there are people
> for who the workaround doesn't work or at best it's not a permanent
> solution!
>
> Somebody that uses the new Karmic ALFA and has a Microsoft mouse: How
> does it fare on Karmic? The bug is still present? Maybe the bluez
> package that is packaged with karmic already fixed this and it's a
> backport away from Jaunty! I'm on a PS3 and I'm really afraid to make
> the jump on a secondary platform this early in the development cycle!
>
>

Uri Schwartz (urisc) wrote :

The workaround worked for me as well. Microsoft blue tooth mouse 5000 with Acer Aspire 2920.
Thanks much to everybody.

https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/386224 ->
"I had the same issue, Its resolved by choosing a 2.6.28 kernel from the grub menu. The rpoblem was with 2.6.31, havnt tried 2.6.30.
 Same result with bluez 4.45 from ubuntu, and 4.46 from bluez git. (havnt patched kernel or anything silly like that yet, maybee try that if not much movement here)"

It seems this is a kernel related bug, the person in cause ( https://bugs.launchpad.net/~scarletpimpernal )said that the problem it's solved with 2.6.28 kernel ?!
It could simply be a new way in wich bluetooth devices are adressed?

semidark (nthomaier) wrote :

I've tried the two mentioned workarounds:

- "hidd --search" + a lot praying
- downgraded bluetooth and bluez-utils from 4.3.2 (jaunty) to 4.1.2 (intrepid)

Both both did NOT work for me!

Mihai Olimpiu Cristian supposed that another Kernel Version would fix the Problem but I am using the kernel 2.6.28. The automatic system update never offered my the mentioned kernel version 2.6.30 and 2.6.31. So this hint can obviously not help me.

I'm using a Logitech Cordless Bluetooth Desktop:
- MX5000 Bluetooth Keyboard
- MX1000 Bluetooth Mouse

Connected to the integrated Bluetooth of my IBM R52 Thinkpad.
If more information is needed I would be eager to help.

Can this bug please be fixed soon with something else but a workaround? It is really extremely nerving!

It wasn't me that said that (I put up the link from the bug report that supposedly fixed the bug with a 2.6.28 kernel), and I tried the old Intrepid kernel 2.6.25 and the bug it's not fixed...

It seems it's not the way to go... sorry to waste your time, I really hoped this would be a good fix!

fimbulvetr (fimbulvetr1) wrote :

I can confirm this bug on a Dell Latitude D630 with built in wireless, a clean install of Alpha 3, and a Microsoft Wireless Laser Mouse 8000:

[ 741.245676] input: Microsoft� Mouse as /devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.0/bluetooth/hci0/hci0:46/input13
[ 741.245879] generic-bluetooth 0005:045E:0702.0001: input,hidraw0: BLUETOOTH HID v0.80 Mouse [Microsoft� Mouse] on 00:1A:6B:FB:87:E2

Note: This is the full size mouse, not the wireless presenter.

Also of note: My logitech MX 1000 _bluetooth_ (Some MX 1000s are not bluetooth, IIRC) stills works perfectly without this workaround and more importantly, the MS mouse and the rest of the hardware combo worked flawlessly in Ibex.

Vish (vish) on 2009-08-10
affects: hundredpapercuts → null
Peng Deng (d6g) wrote :

Just for anyone here who still has this issue like me, I noticed
something interesting recently:

Due to another very severe bug (Bug 330824), I switched to kernel
2.6.30 (2.6.30-020630-generic). And sometimes the mouse starts
working, especially after the system is (re)booted or resumed from
sleep state. Although it may not able to re-establish the connection
after idle for a while, a simple reset of the bluetooth device
(hciconfig hci0 up/down) can let the mouse be discovered again.

To be sure, I also booted to kernel 2.6.28-15 and the mouse won't work
at all in any case, just like before. However, I noticed the dmesg
output at 2.6.28 and at 2.6.30 look similar to each other, both
saying something like:

[ 99.821915] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0/bluetooth/hci0/hci0:6/input12
[ 99.822127] generic-bluetooth 0005:045E:0700.0004: input,hidraw3: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 00:0E:9B:DC:B8:0A

So, I guess this echos what Mihai Olimpiu Cristian has said above:
this might be a kernel related problem and not a bug with the
bluetooth stack.

JBC (jbcatte) wrote :

@Priit Tamboom: I had to do 'hidd --search' at each reboot, but thanks to your 'auto' parameter it is now reconnecting automatically on my eeebuntu installation on an eeePC 901 :-)

John K (jkadlecik) wrote :

Auto updated to kernel 2.6.28-15 (ubuntu remix) on my Asus eee 1000 today. The Microsoft 5000 blue tooth mouse auto reconnected and worked after reboot and full shut down. It appears this issue is fixed.
Thanks.

Changed in bluez (Ubuntu):
status: Confirmed → Fix Released

I updated my system the very first time I saw John k's comment, but on my PS3 a new kernel is not available, so I think "FIX RELEASED" is a bit early for this bug!

I'll try updating today but I'm pretty sure my mouse is not working!!!

I tried updating again but there is no new KERNEL for PPC so till this moment this bug is still affecting all PPC machines (including here the PS3)

no one seems to be able to solve this one - itś enough to make you go back
to xp

2009/9/10 Mihai Olimpiu Cristian <email address hidden>

> I tried updating again but there is no new KERNEL for PPC so till this
> moment this bug is still affecting all PPC machines (including here the
> PS3)
>
> --
> [Jaunty] Cannot connect to a Microsoft Bluetooth Notebook Mouse 5000
> https://bugs.launchpad.net/bugs/343727
> You received this bug notification because you are a member of
> Bluetooth, which is subscribed to bluez in ubuntu.
>
> --
> Ubuntu-bluetooth mailing list
> <email address hidden>
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-bluetooth
>

don hardaway (don-hardaway) wrote :

It does not work on my macbook pro with the mighty mouse--i have all the latest updates and all it does is popup ask me to grant access and aferwards does nothing but keep popping up over and over asking for me to grant access.

Because probably the new kernel (that supposedly fixes this bug is only AMD64), Tried on a PPC machine and no update, or any fix at this moment!

Changed in bluez (Ubuntu):
status: Fix Released → In Progress
JackRainey (jprainey) wrote :

Newbie here - Having similar problems with System76 Darter Ultra (Jaunty) and Microsoft Bluetooth Presenter Mouse 8000. After reading through this and several other forums, was able to get the mouse to respond through execution of some combination of 'hcitool scan' and 'hidd --search'. Both buttons and scroll wheel work as expected. None of the presenter mode buttons work. Have to fiddle with this stuff with every reboot. Eagerly awaiting a fix.

Jouston Huang (jouston-huang) wrote :

I just saw this same issue again on Karmic alpha-5 with a full upgrade on 2009/09/27.

The mouse can do first pairing but after kernel jump and reboot I can't connect it anymore.

Download full text (5.3 KiB)

http://www.serenux.com/2009/08/howto-get-a-microsoft-bluetooth-notebook-5000-mouse-working-under-ubuntu-jaunty/

QUOTE:

The Microsoft Bluetooth Notebook 5000 mouse is an affordable, compact mouse that worked really well under Ubuntu up until Jaunty 9.04 when the Bluetooth stack changed so drastically that the mouse would not pair or work anymore.

While the Ubuntu-provided Bluetooth stack has not been updated to correct this problem yet, the Blueman Project that Ubuntu uses keeps marching on in development and the latest version of of the Bluez stack and Blueman applet finally corrects this problem.

Here’s how to employ it on your own setup.

EDIT October 2009: I have tested and found that the Microsoft Bluetooth Notebook 5000 mouse pairs and resumes successfully with the Ubuntu 9.10 Karmic Koala Beta release without any changes or upgrades required to the Bluetooth software. This HowTo therefore only applies to Ubuntu 9.04 Jaunty Jackalope.

   1. First we need to add the Blueman Project’s PPA to your Ubuntu Jaunty installation. Open a terminal and type in:

      $ sudo gedit /etc/apt/sources.list.d/blueman.list

   2. You will be presented with a blank text editor. Type or copy & paste the following lines in:

      deb http://ppa.launchpad.net/blueman/ppa/ubuntu jaunty main
      deb-src http://ppa.launchpad.net/blueman/ppa/ubuntu jaunty main

   3. Save your changes and exit the editor.
      .
   4. Now update your package lists with:

      $ sudo apt-get update

   5. At the end you will see a NO_PUBKEY error because your setup does not yet have the GPG key for the Blueman repository to authenticate the packages with. To fix this, import the key with:

      $ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6B15AB91951DC1E2

   6. Update your package lists again as per Step 4 and you should find the NO_PUBKEY error is gone now.
      .
   7. By now your system is probably prompting you that there are updates to the Bluetooth stack available to install. We may as well stay at the terminal and do the updates there:

      $ sudo apt-get upgrade

   8. Once that completes, the Bluetooth stack is now up to date, but we now need to install the Blueman applet to replace the Gnome version of it:

      $ sudo apt-get install blueman

      (this will automatically uninstall the bluez-gnome package as we don’t want it anymore)
   9. Once that completes, logout and log back in again so that the new applet loads up to replace the old one.
      .
  10. Now, switch the mouse into paring mode by holding down the pairing button on the base of the mouse until the LED on top of the mouse starts to alternate between red and green illumination.
      .
  11. Now do a left-click on the Bluetooth icon in the system tray. The Bluetooth Devices window should appear. Within a few seconds of that window opening, you should see your mouse and any other nearby Bluetooth devices listed in the window.
      .

      BTApplet
      BTDevicesNotPairedYet.
  12. Do a right-mouse click on the Microsoft Mouse entry and choose “Bond” (or ensure the Microsoft Mouse entry is selected and click on the “Bond” button in the toolbar).
      .BTDevicesBeginB...

Read more...

Some more info:
PS3 - Jaunty up to date:

I managed to upgrade the bluetooth stack and the gnome bluetooth applet.. and, now it still doesn't work out of the box, but, if I try 10 times its guaranteed that my mouse will get synchronized eventually!

So it actually works but not ok...! I'm pretty shure Karmic had fixed this problem!

Alexander Sack (asac) wrote :

i would say its fixed in karmic too. anyone can confirm?

nhasian (nhasian) wrote :

I can confirm with Ubuntu 64bit Karmic Koala Beta 2 that it is fixed for me. I paired my Microsoft Wireless Lasermouse 8000 just fine on my first attempt. I also rebooted the computer and it continued to function just fine. I am very happy I no longer need to use the USB-key for my mouse.

Changed in bluez (Ubuntu):
status: In Progress → Fix Released

I don't understand why status is changed to fix released?! It still does not work in UBUNTU 9.04?!? Is releasing a totally new version of UBUNTU a fix?! This is after all a series targeted bug [JAUNTY]!

Don't we need a backport from Karmic to Jaunty so this bug is considered FIXED!?

Sorry that I just don't understand this way of thinking! Maybe my glory days with "other" OS-es changed my mind!

I finally installed Karmic on my PS3... what do you know?? the mouse STILL does not work.... I granted acces - "ALWAYS", selected the key, but is behaves strangely!

Sometimes it tries to connect and it doesn't, sometimes it says connected, mouse shows as connected, but cursor does not move!

I'm so dissapointed.. I waited for more than six months for a bug fix but it didn't come... Well maybe the daily build for POWER PC is still lagging behind X86 one I'll have to wait for the release date to be able to update my installation. For now it just says MALFORMED release file... god knows what that means!

Jeff Rash (jeffrash) wrote :

Get used to it. I waited for a year to get a fix for my network manager GTC
issue. It never came and now I'm back to Windows.

On Fri, Oct 23, 2009 at 3:53 AM, Mihai Olimpiu Cristian <
<email address hidden>> wrote:

> I finally installed Karmic on my PS3... what do you know?? the mouse
> STILL does not work.... I granted acces - "ALWAYS", selected the key,
> but is behaves strangely!
>
> Sometimes it tries to connect and it doesn't, sometimes it says
> connected, mouse shows as connected, but cursor does not move!
>
> I'm so dissapointed.. I waited for more than six months for a bug fix
> but it didn't come... Well maybe the daily build for POWER PC is still
> lagging behind X86 one I'll have to wait for the release date to be able
> to update my installation. For now it just says MALFORMED release
> file... god knows what that means!
>
> --
> [Jaunty] Cannot connect to a Microsoft Bluetooth Notebook Mouse 5000
> https://bugs.launchpad.net/bugs/343727
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeff Rash
(704) 754-6525
<email address hidden>

John K (jkadlecik) wrote :

I too took the plunge and upgraded (not clean install) Karmic Notebook Remix on my Asus eee 1000. Brief history, I had Microsoft Mouse 5000 pairing problems too. The work around turned out to be a permanent fix in Jaunty.

After the upgrade was complete, and reboot, the mouse would not pair. After trying the icon, system folder blue tooth utility which looks the same as in Jaunty, no attempt would pair the mouse even after deleting the mouse profile, rebooting and attempt a re-pair of the blue tooth device. I went to synaptic package manager out of frustration and re-installed all packages that started with "blue" and were related to blue tooth. Reboot next. Using the utility in the system folder, the mouse paired and has been connected since, even after several reboots. It is slow to re-pair after sleep mode, about 10 minutes of inactivity but it does come back after touching the touch pad. My assumption is that a file was corrupt or did not upgrade. I did take notice and look for a package with the mark in it for upgrade in Synaptic package manager but saw none for blue*.

The second issue was that my second SSD drive was not recognized and I feared was gone with my /home data on it. I will post the fix for that in a different bug and fix. Both of these were scary issues.

Good luck.

I've come back with some more info for KARMIC (THE FIX):

System affected: Ubuntu 9.10 (POWER PC UP TO DATE 25/10/2009)
Device: Microsoft Notebook Mouse 5000
Mouse is recognized as a Bluetooth device
It pairs quite OK now...using the new bluetooth applet (sorry i don't remember the package name). It tryes to autoconnect but it's not always working.

If I install the older bluetooth applet it doesn't pair and mouse always is in pairing mode!

What doesn't work:
Mouse does not move the pointer! :)
hcitool con reports:
 Connections:
        > ACL "MOUSE MAC" handle 11 state 1 lm MASTER

sudo hidd --show
The mouse appears as connected!

dmesg shows the mouse (Or I think it is. MIcrosoft notebook mouse appeasr on a list like in 5-6 positions)....

But still it does not move the pointer!... some ideeas?!

Felipe Figueiredo (philsf) wrote :

My mouse kept pairing after upgrade to Karmic. I have no such problems anymore. All my bluetooth pairing devices configuration were ported to the new system.

then maybe it's just the difference in packages version for me, POWERPC is a tad late because it's not an official supported architecture!... Well let's hope for the best! I'll try building a PS3 default config kernel from the latest version .. maybe that will fix my issues!

Displaying first 40 and last 40 comments. View all 110 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers